GFF2PS(1)

NAME
gff2ps - Produces PostScript graphical output from GFF-files.

SYNOPSIS
gff2ps [options] -- gff_files

DESCRIPTION
This program draws color-filled DotPlots from files with gff-formatted data fields. The program takes as input the annotated features on a genomic sequence in GFF format, and produces a visual output in PostScript.

OPTIONS

-h  Show summary of options.

-H <option>
    Shows only help for the especified option.

-V  Verbose mode, a full report is sent to standard error (default only sends Warnings).

-v  Silent mode: Disable all warnings, no messages sent to standard error.

-d  Write (or rewrite if exists) default customfile.

-D <default_custom_filename>
    Create a new default customfile with the given filename.

-C <custom_filename>
    Load given custom file and append to default custom file (.gff2psrc).

-s <page_size>
    Useful to modify page size (default is a4).

-p  Switches page orientation to Portrait (default is Landscape).

-G <color_name>
    Sets color for FOREGROUND (default is black).

-g <color_name>
    Sets color for BACKGROUND (default is white).

-P <#>
    Sets how many pages are needed to split your output (default is one).

-S <#>
    Zoom first nucleotide (default is sequence origin).

-E <#>
    Zoom last nucleotide (default is sequence length).

-B <#>
    Sets blocks per page (default is one).

-N <#>
    Sets nucleotides per line (default is the largest sequence position from input gff-files).

-b  Blocks from left to right and from top to bottom (default is top to bottom first).

-L  Switch off Header (Title area).

-T <title_string>
    Defining title (default is input gff filename).

-t <subtitle_string>
    Defining subtitle (default is none).

-l  Does not show page numbering.

-O  Does not show date.

-o  Does not show time.

-M <#>
    Number of major tickmarks per line (default 10).

-K <#>
    Major tickmarks scale in nucleotides, default is nucleotide length for lines divided by major tickmarks number (see option -T).

-m <#>
    Number of minor tickmarks between major tickmarks (default 10).

-k <#>
    Minor tickmarks scale in nucleotides default is major tickmarks size divided by minor tickmarks number (see option -t).

-w, -f
    Switch off displaying forward-strand(Watson) elements.

-c, -r
    Switch off displaying reverse-strand(Crick) elements.

-i  Switch off displaying strand-independent elements.

-0 <color_name>
    Sets color for frame "0" (default is blue).

-1  Sets color for frame "1" (default is red).

-2  Sets color for frame "2" (default is green).

-3  Sets color for frame "." (default is orange).

-n  Switch off labels for element positions.

-a  Switch off CopyRight line on plot.

ENVIRONMENT VARIABLES
There are three environmental variables that can be set by users to their pre ferences:
 + You can specify the path where GFF2PS can find the default files with the shell variable "GFF2PS_CFDIR". Default value is path where you are running GFF2PS.
 + You can also define the default custom filename you will like with the variable "GFF2PS_CUSTOMFILE", program default filename for custom file is ".gff2psrc".
 + GFF2PS needs to write few temporary files in a directory with permissions for current user to read and write. Default temporary directory path is set to "/tmp/" but you can assign a different temporary directory path using the variable "GFF2PS_TMP". Setting those vars in Bourne-shell (bash):
   export GFF2PS_CFDIR="path"
   export GFF2PS_CUSTOMFILE="file_name"
   export GFF2PS_TMP="path" Using a C-Shell (csh):
   setenv GFF2PS_CFDIR "path"
   setenv GFF2PS_CUSTOMFILE "file_name"
   setenv GFF2PS_TMP "path"

COMMENTS
* Colors defined are:
   Basic Colors: black white
   Variable Colors: grey magenta violet blue skyblue cyan seagreen green lime green yellow orange red brown
   You can get five color shades from Variable Colors with "verydark", "dark", "light" and "verylight" prefixes. An example: verydarkseagreen darkseagreen seagreen lightseagreen verylightseagreen * Page Sizes defined are:
   From A0 to A10, from B0 to B10, 10x14, executive, folio, ledger, legal, letter, quarto, statement and tabloid.

AUTHOR
gff2ps was written by Josep Francesc ABRIL FERRANDO <jabril@imim.es>.

This manual page was written by Nelson A. de Oliveira <naoliv@gmail.com>, for the Debian project (but may be used by others).